И так, я решил эту проблему следующим образом.
NB! Перед началом этой процедуры закройте скайп!
Заходим в терминал и пишем команду

sudo apt-get install libv4l-0:i386

Затем после установки этого пакета открываете файл настроек следующей командой в терминале

sudo gedit /usr/share/applications/skype.desktop

Видим такое вот окно:

И там где команда Exec вставляем следующую строчку вместо этой. Должно получится как на картинке.

Exec=bash -c "LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so skype"

Ну вот и все. Запускайте скайп и наслаждайтесь.